Bug 1278152 - Review Request: nodejs-base64-url - Base64 utilities for url applications
Review Request: nodejs-base64-url - Base64 utilities for url applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews Node-RED 1278157
  Show dependency treegraph
 
Reported: 2015-11-04 14:17 EST by Jared Smith
Modified: 2016-10-21 04:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-20 13:03:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-11-04 14:17:41 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-base64-url/nodejs-base64-url.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-base64-url/nodejs-base64-url-1.2.1-1.fc24.src.rpm
Description: Base64 encode, decode, escape and unescape for URL applications
Fedora Account System Username: jsmith
Comment 1 Tom Hughes 2015-11-07 06:39:29 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "ISC", "Unknown or generated". 4 files have unknown license.
     Detailed output of licensecheck in /home/tom/1278152-nodejs-
     base64-url/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-base64-url-1.2.1-1.fc24.noarch.rpm
          nodejs-base64-url-1.2.1-1.fc24.src.rpm
nodejs-base64-url.noarch: W: spelling-error Summary(en_US) unescape -> Netscape, escapee, escape
nodejs-base64-url.noarch: W: spelling-error %description -l en_US unescape -> Netscape, escapee, escape
nodejs-base64-url.noarch: W: only-non-binary-in-usr-lib
nodejs-base64-url.src: W: spelling-error Summary(en_US) unescape -> Netscape, escapee, escape
nodejs-base64-url.src: W: spelling-error %description -l en_US unescape -> Netscape, escapee, escape
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-base64-url.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-base64-url (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)



Provides
--------
nodejs-base64-url:
    nodejs-base64-url
    npm(base64-url)



Source checksums
----------------
https://registry.npmjs.org/base64-url/-/base64-url-1.2.1.tgz :
  CHECKSUM(SHA256) this package     : 32380403a1f566c9fdc55e160f682260553032eb4c730f1918e9d8ae3fa982a3
  CHECKSUM(SHA256) upstream package : 32380403a1f566c9fdc55e160f682260553032eb4c730f1918e9d8ae3fa982a3
https://raw.githubusercontent.com/joaquimserafim/base64-url/34f370344d147b328d2e0e97027b0fa1b5470c78/test.js :
  CHECKSUM(SHA256) this package     : f7e6f2a7950e1cc16f119a80e7d8209ba13fa5a15a895f0589d248b4b498db9e
  CHECKSUM(SHA256) upstream package : f7e6f2a7950e1cc16f119a80e7d8209ba13fa5a15a895f0589d248b4b498db9e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1278152
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-11-07 06:40:38 EST
Tests are being included in the built RPM.

Also 1.2.1 is tagged now, so we should use those tests, and probably better to use the versioned URL for them:

https://raw.githubusercontent.com/joaquimserafim/base64-url/v%{version}/test.js
Comment 4 Tom Hughes 2015-11-09 12:31:03 EST
The comment about 1.2.1 not being tagged yet can be removed, but other than that it looks fine now, so package approved.
Comment 5 Parag AN(पराग) 2015-12-15 02:10:35 EST
Any progress here?
Comment 6 Gwyn Ciesla 2015-12-15 10:05:38 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-base64-url
Comment 7 Fedora Update System 2015-12-15 12:17:46 EST
nodejs-base64-url-1.2.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c20751943
Comment 8 Fedora Update System 2015-12-15 12:18:08 EST
nodejs-base64-url-1.2.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac036635fe
Comment 9 Fedora Update System 2015-12-15 12:19:18 EST
nodejs-base64-url-1.2.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dae06ead71
Comment 10 Fedora Update System 2015-12-15 12:20:57 EST
nodejs-base64-url-1.2.1-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f3c9e87258
Comment 11 Fedora Update System 2015-12-16 09:51:08 EST
nodejs-base64-url-1.2.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-base64-url'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac036635fe
Comment 12 Fedora Update System 2015-12-16 10:18:33 EST
nodejs-base64-url-1.2.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-base64-url'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f3c9e87258
Comment 13 Fedora Update System 2015-12-16 10:19:52 EST
nodejs-base64-url-1.2.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-base64-url'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dae06ead71
Comment 14 Fedora Update System 2015-12-16 20:59:59 EST
nodejs-base64-url-1.2.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-base64-url'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c20751943
Comment 15 Piotr Popieluch 2015-12-20 13:03:07 EST
Built in rawhide, closing to unblock other review requests.

Note You need to log in before you can comment on or make changes to this bug.